package com.liang.dao;

import com.liang.entity.SysLsUserEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2024/4/2 16:37
 * @Version 1.0
 */

public interface LsUserDao {

    /**
     * @return
     * 获取全部临时人员信息
     */
    List<SysLsUserEntity> UserAll(Map map);

    /**
     * @param sysLsUserEntity
     * @return
     * 保存人员信息
     */
    Integer saveOperLog(SysLsUserEntity sysLsUserEntity);


    /**
     * 删除临时人员信息
     * @param id
     * @return
     */
    boolean deleteUser(Integer id);

    /**
     * 更新数据
     * @param sysLsUserEntity
     * @return
     */
    boolean upDate(SysLsUserEntity sysLsUserEntity);

    int batchDelete(List<Integer> idList);


    SysLsUserEntity getLsuserID(Integer Id);



    List<SysLsUserEntity> getUserxm (Map map);


    List<SysLsUserEntity> getZb(Integer zb);
}
